import type { ButtonProps, HideErrorPropType, IdPropType, InputFileAPI, InputFileStates, InputTypeOnDefault, KoliBriHorizontalIcons, LabelWithExpertSlotPropType, MsgPropType, NamePropType, Stringified, SyncValueBySelectorPropType, TooltipAlignPropType } from '../../schema';
import type { JSX } from '../../stencil-public-runtime';
export declare class KolInputFile implements InputFileAPI {
    private readonly host?;
    private ref?;
    private readonly catchRef;
    getValue(): Promise<FileList | null | undefined>;
    render(): JSX.Element;
    private readonly controller;
    _accept?: string;
    _accessKey?: string;
    _alert?: boolean;
    _disabled?: boolean;
    _error?: string;
    _hideError?: boolean;
    _hideLabel?: boolean;
    _hint?: string;
    _icons?: Stringified<KoliBriHorizontalIcons>;
    _id?: IdPropType;
    _label: LabelWithExpertSlotPropType;
    _msg?: MsgPropType;
    _multiple?: boolean;
    _name?: NamePropType;
    _on?: InputTypeOnDefault;
    _required?: boolean;
    _smartButton?: Stringified<ButtonProps>;
    _syncValueBySelector?: SyncValueBySelectorPropType;
    _tabIndex?: number;
    _tooltipAlign?: TooltipAlignPropType;
    _touched?: boolean;
    _value?: string;
    state: InputFileStates;
    constructor();
    validateAccept(value?: string): void;
    validateAccessKey(value?: string): void;
    validateAlert(value?: boolean): void;
    validateDisabled(value?: boolean): void;
    validateError(value?: string): void;
    validateHideError(value?: HideErrorPropType): void;
    validateHideLabel(value?: boolean): void;
    validateHint(value?: string): void;
    validateIcons(value?: Stringified<KoliBriHorizontalIcons>): void;
    validateId(value?: string): void;
    validateLabel(value?: LabelWithExpertSlotPropType): void;
    validateMsg(value?: MsgPropType): void;
    validateMultiple(value?: boolean): void;
    validateName(value?: string): void;
    validateOn(value?: InputTypeOnDefault): void;
    validateRequired(value?: boolean): void;
    validateSmartButton(value?: ButtonProps | string): void;
    validateSyncValueBySelector(value?: SyncValueBySelectorPropType): void;
    validateTabIndex(value?: number): void;
    validateTouched(value?: boolean): void;
    validateValue(value?: string): void;
    componentWillLoad(): void;
    private onChange;
    private onInput;
}
